apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

components:
- ../../base/components/ingress

configMapGenerator:
  - name: ingress
    behavior: merge
    literals:
      - hostname=dev.podinfo.127.0.0.1.nip.io

patches:
  - target:
      kind: Ingress
      version: v1
      group: networking.k8s.io
    patch: |-
      apiVersion: networking.k8s.io/v1
      kind: Ingress
      metadata:
        name: not-important
      spec:
        tls:
          - hosts:
              - to-be-replaced
            secretName: to-be-replaced

replacements:
  - source:
      kind: ConfigMap
      name: ingress
      fieldPath: data.hostname
    targets:
      - select:
          kind: Ingress
          name: podinfo
        fieldPaths:
          - spec.rules.0.host
          - spec.tls.0.hosts.0
          - spec.tls.0.secretName
        options:
          create: true
